Status: Feedback Priority: Normal

Author: Ð‘Ñ€Ð¾Ð½ÐµÑ•Ð»Ð°Ð² Ð¯Ñ€Ð¸Ð»Ð¾ Category: Calculate Linux Desktop Xfce

Created: 01/10/2019 Assignee:

Updated: 01/23/2019 Due date:

Subject: midori Ð¾ÑˆÐ¸Ð±ÐºÐ° Ñ•ÐµÐ³Ð¼ÐµÐ½Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ñ•

Description: ÐŸÑ€Ð¾Ð¸Ñ•Ñ…Ð¾Ð´Ð¸Ñ‚ Ñ•ÐµÐ³Ñ„Ð¾Ð»Ñ‚ Ð¿Ñ€Ð¸ Ð½Ð°Ð¶Ð°Ñ‚Ð¸Ð¸ Ð½Ð° Ð¿Ð°Ñ€Ð°Ð¼ÐµÑ‚Ñ€Ñ‹

<pre>

$ midori -V

midori 7.0



$ midori



** (midori:8783): WARNING **: 21:25:40.963: Couldn't register with accessibility bus: Did not receive a reply. 

Possible causes include: the remote application did not send a reply, the message bus security policy 

blocked the reply, the reply timeout expired, or the network connection was broken.



** (WebKitWebProcess:8795): WARNING **: 21:25:41.566: Couldn't register with accessibility bus: Did not 

receive a reply. Possible causes include: the remote application did not send a reply, the message bus 

security policy blocked the reply, the reply timeout expired, or the network connection was broken.

ÐžÑˆÐ¸Ð±ÐºÐ° Ñ•ÐµÐ³Ð¼ÐµÐ½Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ñ•

</pre>

History

01/10/2019 03:32 pm - Ð‘Ñ€Ð¾Ð½ÐµÑ•Ð»Ð°Ð² Ð¯Ñ€Ð¸Ð»Ð¾

<pre>

$ gdb midori

GNU gdb (Gentoo 8.1 p1) 8.1

Copyright (C) 2018 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying"

and "show warranty" for details.

This GDB was configured as "x86_64-pc-linux-gnu".

Type "show configuration" for configuration details.

For bug reporting instructions, please see:

<https://bugs.gentoo.org/>.

Find the GDB manual and other documentation resources online at:

<http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".

Type "apropos word" to search for commands related to "word"...

Reading symbols from midori...(no debugging symbols found)...done.

(gdb) run

Starting program: /usr/bin/midori 

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib64/libthread_db.so.1".

[New Thread 0x7fffdfd6a700 (LWP 13535)]

[New Thread 0x7fffdf569700 (LWP 13536)]



** (midori:13531): WARNING **: 22:27:08.212: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote 

application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

[New Thread 0x7fffddc39700 (LWP 13537)]
[New Thread 0x7fffdd0ff700 (LWP 13538)]

[New Thread 0x7fffdc8fe700 (LWP 13539)]

[New Thread 0x7fff8fffd700 (LWP 13540)]

[New Thread 0x7fff8f5ff700 (LWP 13541)]

[New Thread 0x7fff8dd53700 (LWP 13548)]

[New Thread 0x7fff8d552700 (LWP 13556)]



** (WebKitWebProcess:13555): WARNING **: 22:27:09.482: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: 

the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection 

was broken.



Thread 1 "midori" received signal SIGSEGV, Segmentation fault.

0x00007ffff725c3b3 in ?? () from /lib64/libc.so.6

(gdb) bt

#0  0x00007ffff725c3b3 in ?? () from /lib64/libc.so.6

#1  0x00007ffff7bad920 in ?? () from /usr/lib64/libmidori-core.so.0

#2  0x00007ffff759ba66 in ?? () from /usr/lib64/libgobject-2.0.so.0

#3  0x00007ffff75b708f in g_signal_emit_valist () from /usr/lib64/libgobject-2.0.so.0

#4  0x00007ffff75b77bf in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0

#5  0x00007ffff2e4d2da in ?? () from /usr/lib64/libgtk-3.so.0

#6  0x00007ffff68d59a3 in ?? () from /usr/lib64/libglib-2.0.so.0

#7  0x00007ffff68d4f25 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0

#8  0x00007ffff68d52f0 in ?? () from /usr/lib64/libglib-2.0.so.0

#9  0x00007ffff68d537c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0

#10 0x00007ffff7882b8d in g_application_run () from /usr/lib64/libgio-2.0.so.0

#11 0x0000555555554982 in _vala_main ()

#12 0x00007ffff71dfb87 in __libc_start_main () from /lib64/libc.so.6

#13 0x000055555555487a in _start ()

</pre>

01/21/2019 06:10 am - Alexander Tratsevskiy

ÐŸÐ¾Ð¿Ñ€Ð¾Ð±ÑƒÐ¹Ñ‚Ðµ Ð²Ñ‹Ð¿Ð¾Ð»Ð½Ð¸Ñ‚ÑŒ cl-update

01/21/2019 06:11 am - Alexander Tratsevskiy

- Status changed from New to Feedback

01/22/2019 06:51 am - Ð‘Ñ€Ð¾Ð½ÐµÑ•Ð»Ð°Ð² Ð¯Ñ€Ð¸Ð»Ð¾

- File 9.png added

Alexander Tratsevskiy wrote:

> ÐŸÐ¾Ð¿Ñ€Ð¾Ð±ÑƒÐ¹Ñ‚Ðµ Ð²Ñ‹Ð¿Ð¾Ð»Ð½Ð¸Ñ‚ÑŒ cl-update



ÐŸÐµÑ€ÐµÐºÐ»ÑŽÑ‡Ð¸Ð»Ñ•Ñ• Ð½Ð° nouveau.

Ð¢Ð¾Ð¶Ðµ Ñ•Ð°Ð¼Ð¾Ðµ.

<pre>

$ rm -r ~/.config/midori

$ gdb midori

GNU gdb (Gentoo 8.1 p1) 8.1

Copyright (C) 2018 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying"

and "show warranty" for details.

This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.

For bug reporting instructions, please see:

<https://bugs.gentoo.org/>.

Find the GDB manual and other documentation resources online at:

<http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".

Type "apropos word" to search for commands related to "word"...

Reading symbols from midori...(no debugging symbols found)...done.

(gdb) run

Starting program: /usr/bin/midori 

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib64/libthread_db.so.1".

[New Thread 0x7fffe1254700 (LWP 9563)]

[New Thread 0x7fffe0a53700 (LWP 9564)]



** (midori:9559): WARNING **: 13:42:46.110: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote 

application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

[New Thread 0x7fffdb0d7700 (LWP 9565)]

[New Thread 0x7fffda4ff700 (LWP 9566)]

[New Thread 0x7fffd9cfe700 (LWP 9567)]

[New Thread 0x7fffd94fd700 (LWP 9568)]

[New Thread 0x7fffd8aff700 (LWP 9569)]



** (WebKitWebProcess:9577): WARNING **: 13:42:46.856: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: 

the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection 

was broken.

[New Thread 0x7fff9336d700 (LWP 9585)]

[New Thread 0x7fff92b6c700 (LWP 9586)]

libva info: VA-API version 0.39.4

libva info: va_getDriverName() returns 0

libva info: Trying to open /usr/lib64/va/drivers/gallium_drv_video.so

libva info: va_openDriver() returns -1

libva info: VA-API version 0.39.4

libva info: va_getDriverName() returns 0

libva info: Trying to open /usr/lib64/va/drivers/gallium_drv_video.so

libva info: va_openDriver() returns -1

libva info: VA-API version 0.39.4

libva info: va_getDriverName() returns 0

libva info: Trying to open /usr/lib64/va/drivers/nouveau_drv_video.so

libva info: Found init function __vaDriverInit_0_39

libva info: va_openDriver() returns 0



Thread 1 "midori" received signal SIGSEGV, Segmentation fault.

0x00007ffff725c3b3 in ?? () from /lib64/libc.so.6

(gdb) bt

#0  0x00007ffff725c3b3 in ?? () from /lib64/libc.so.6

#1  0x00007ffff7bad920 in ?? () from /usr/lib64/libmidori-core.so.0

#2  0x00007ffff759ba66 in ?? () from /usr/lib64/libgobject-2.0.so.0

#3  0x00007ffff75b708f in g_signal_emit_valist () from /usr/lib64/libgobject-2.0.so.0

#4  0x00007ffff75b77bf in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0

#5  0x00007ffff2e4b2da in ?? () from /usr/lib64/libgtk-3.so.0

#6  0x00007ffff68d59a3 in ?? () from /usr/lib64/libglib-2.0.so.0

#7  0x00007ffff68d4f25 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#8  0x00007ffff68d52f0 in ?? () from /usr/lib64/libglib-2.0.so.0

#9  0x00007ffff68d537c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0

#10 0x00007ffff7882b8d in g_application_run () from /usr/lib64/libgio-2.0.so.0

#11 0x0000555555554982 in _vala_main ()

#12 0x00007ffff71dfb87 in __libc_start_main () from /lib64/libc.so.6

#13 0x000055555555487a in _start ()

(gdb) quit

A debugging session is active.



	Inferior 1 [process 9559] will be killed.



Quit anyway? (y or n) y



</pre>

ÐŸÑ€Ð¸ Ð²Ð²Ð¾Ð´Ðµ Ð² Ñ•Ñ‚Ñ€Ð¾ÐºÐµ Ð°Ð´Ñ€ÐµÑ•Ð° Ð¿Ñ€Ð¾ÐºÑ•Ð¸ Ð½Ð° Ð²ÐºÐ»Ð°Ð´ÐºÐµ "Ð¡ÐµÑ‚ÑŒ" (Ñ•Ð¼. Ð²Ð»Ð¾Ð¶ÐµÐ½Ð¸Ðµ) 

Ð¿Ñ€Ð¾Ð¸Ñ•Ñ…Ð¾Ð´Ð¸Ñ‚ Ð°Ð²Ð°Ñ€Ð¸Ð¹Ð½Ð¾Ðµ Ð·Ð°Ð²ÐµÑ€ÑˆÐµÐ½Ð¸Ðµ midori ÐµÑ•Ð»Ð¸ Ñ‡ÐµÑ€ÐµÐ· Ð´ÐµÐ±Ð°Ð³Ð³ÐµÑ€ Ñ‚Ð¾ 

Ð½Ð°Ð¼ÐµÑ€Ñ‚Ð²Ð¾ Ð·Ð°Ð²Ð¸Ñ•Ð°ÐµÑ‚.

01/23/2019 08:52 am - Ð‘Ñ€Ð¾Ð½ÐµÑ•Ð»Ð°Ð² Ð¯Ñ€Ð¸Ð»Ð¾

Ð£ Ð¼ÐµÐ½Ñ• ÐµÑ‰Ðµ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½ rpm-Ð´Ð¸Ñ•Ñ‚Ñ€Ð¸Ð±ÑƒÑ‚Ð¸Ð². Ð¢Ð°Ð¼ Ñ‚Ð°ÐºÐ°Ñ• Ð¶Ðµ Ð²Ð¾Ð·Ð½Ð¸ÐºÐ°ÐµÑ‚ 

Ð¾ÑˆÐ¸Ð±ÐºÐ° Ñ• midori 7.0

Files

strace.txt 3.5 MB 01/10/2019 Ð‘Ñ€Ð¾Ð½ÐµÑ•Ð»Ð°Ð² Ð¯Ñ€Ð¸Ð»Ð¾

9.png 23.5 KB 01/22/2019 Ð‘Ñ€Ð¾Ð½ÐµÑ•Ð»Ð°Ð² Ð¯Ñ€Ð¸Ð»Ð¾
